Subject: Re: [PATCH 0/4] Good bye fnmatch

From: David Kastrup <[email-masked]>
Date: Sat, 15 Feb 2014 09:23:24 +0100

Nguyễn Thái Ngọc Duy <[email-masked]> writes:

> Long story short, we wanted globbing wildcard "**" so I ripped
> wildmatch library from rsync to do it.

Since version 3.0.0, rsync is GPLv3
<URL:https://rsync.samba.org/GPL.html>.  So be sure to take an older
version.

> And it opened a possibility to replace fnmatch completely, which would
> provide consistent behavior across platforms (native fnmatch behaves
> differently on many corner cases), and some performance gains. I
> started fnmatch replacement with 4917e1e (Makefile: promote wildmatch
> to be the default fnmatch implementation - 2013-05-30). This is the
> final step.

Sounds like I'm, uh, somewhat late in the game.  More likely than not
you've taken care of that aspect long ago.  Just thought I'd mention it.

-- 
David Kastrup